<?php
$translator = Zend_Registry::getInstance ()->get ('Zend_Translate');

// Add scripts for Groups, Users and Logs management
$this->headScript()->appendFile('/js/adminTab.js');
$this->headScript()->appendScript($this->variables);

// Add CSS for Administration
$this->headLink ()->appendStylesheet ('/css/admin.css');

echo '<h1>'.$translator->translate ('Administration').'</h1>';
echo '<hr>';
echo $this->navbar;
echo '<hr>';

if ($this->permissions &&
    $this->permissions->isAllowed ('Administration', 'view', 'logsusers'))
{
?>
    <div id="logs">
      <h2><?echo $translator->translate ('Users Logs:');?></h2>
      <div class="traces">
<?
        sort ($this->userslogs);
        foreach ($this->userslogs as $line)
        {
            $msg = $line['msg'];
            // Highlight words into quotes
            $msg = preg_replace ("/\\*([^\\*]*)\\*/", "<span class=\"highlight\">'\\1'</span>", $msg);
            echo "<span class=\"timestamp\">".$line['timestamp']."- </span>\n";
            echo $line['firstname'].' '.$line['lastname'].': ';
            echo $msg;
            echo "<br />\n";
        }
?>
        <? echo "<p id=\"alllogs\">... ".
                $translator->translate ('get all logs').
                " <a id=\"logsInTxt\" target=\"_blank\" href=\"/Administration/getuserslogs/format/txt\">".
                $translator->translate ('in TXT').
                "</a> ".$translator->translate ('or').
                " <a id=\"logsInXml\" target=\"_blank\" href=\"/Administration/getuserslogs/format/xml\">".
                $translator->translate ('in XML').
                "</a></p>\n";
        ?>
      </div>
    </div>
<?
}

if ($this->permissions &&
    $this->permissions->isAllowed ('Administration', 'view', 'logsboxes'))
{
?>
    <div id="logs">
      <h2><?echo $translator->translate ('iBoxes Logs:');?></h2>
      <div class="traces">
<?
        sort ($this->boxeslogs);
        foreach ($this->boxeslogs as $line)
        {
            $msg = $line['msg'];
            // Highlight words into quotes
            $msg = preg_replace ("/\\*([^\\*]*)\\*
                                                    /", "<span class=\"highlight\">'\\1'</span>", $msg);
            echo "<span class=\"timestamp\">".$line['timestamp']."- </span>\n";
            echo $line['box_label'].': ';
            echo $msg;
            echo "<br />\n";
        }
?>
        <? echo "<p id=\"alllogs\">... ".
                $translator->translate ('get all logs').
                " <a id=\"logsInTxt\" target=\"_blank\" href=\"/Administration/getboxeslogs/format/txt\">".
                $translator->translate ('in TXT').
                "</a></p>\n";
        ?>
      </div>
    </div>
<?
}
